window.Gleam.initSearch([{"doc":"nimiq_gleam","title":"nimiq_gleam","content":"# Nimiq for Gleam\n\n[![Package Version](https://img.shields.io/hexpm/v/nimiq_gleam)](https://hex.pm/packages/nimiq_gleam)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/nimiq_gleam/)\n\nVarious modules and helpers for working with Nimiq primitives in the Gleam programming language or as a CLI.\n\n## Installation\n\n```sh\ngleam add nimiq_gleam\n```\n\n## CLI\n\nConvert an address from any representation to user-friendly address format:\n\n```sh\nnimiq_gleam address 0000000000000000000000000000000000000000\n# &quot;NQ07 0000 0000 0000 0000 0000 0000 0000 0000&quot;\n```\n\n## Address module\n\n```gleam\nimport nimiq_gleam/address\n\npub fn main() {\n  let formatted_addr =\n    address.from_hex(&quot;0000000000000000000000000000000000000000&quot;)\n    |&gt; address.to_user_friendly_address()\n  // = &quot;NQ07 0000 0000 0000 0000 0000 0000 0000 0000&quot;\n}\n```\n\n&lt;!-- Further documentation can be found at &lt;https://hexdocs.pm/nimiq_gleam&gt;. --&gt;\n\n## Development\n\n```sh\ngleam format # Format the code\ngleam test   # Run the tests\ngleam run    # Run the cli\n```\n","url":"index.html"},{"doc":"base32","title":"decode","content":"pub fn decode(\n  str: String,\n  alphabet: String,\n) -&gt; Result(BitArray, String)\n\nSynonyms:\nbase32.decode\nbase32 decode","url":"base32.html#decode"},{"doc":"base32","title":"encode","content":"pub fn encode(buf: BitArray, alphabet: String) -&gt; String\n\nSynonyms:\nbase32.encode\nbase32 encode","url":"base32.html#encode"},{"doc":"base32","title":"base32","content":"","url":"base32.html"},{"doc":"address","title":"Address","content":"pub opaque type Address\n\n\nSynonyms:\naddress.Address\naddress Address","url":"address.html#Address"},{"doc":"address","title":"from_base64","content":"pub fn from_base64(base64: String) -&gt; Result(Address, String)\n\nSynonyms:\naddress.from_base64\naddress from_base64","url":"address.html#from_base64"},{"doc":"address","title":"from_base64_url","content":"pub fn from_base64_url(\n  base64_url: String,\n) -&gt; Result(Address, String)\n\nSynonyms:\naddress.from_base64_url\naddress from_base64_url","url":"address.html#from_base64_url"},{"doc":"address","title":"from_hex","content":"pub fn from_hex(hex: String) -&gt; Result(Address, String)\n\nSynonyms:\naddress.from_hex\naddress from_hex","url":"address.html#from_hex"},{"doc":"address","title":"from_string","content":"pub fn from_string(str: String) -&gt; Result(Address, String)\n\nSynonyms:\naddress.from_string\naddress from_string","url":"address.html#from_string"},{"doc":"address","title":"from_user_friendly_address","content":"pub fn from_user_friendly_address(\n  str: String,\n) -&gt; Result(Address, String)\n\nSynonyms:\naddress.from_user_friendly_address\naddress from_user_friendly_address","url":"address.html#from_user_friendly_address"},{"doc":"address","title":"serialize","content":"pub fn serialize(address: Address) -&gt; BitArray\n\nSynonyms:\naddress.serialize\naddress serialize","url":"address.html#serialize"},{"doc":"address","title":"to_base64","content":"pub fn to_base64(address: Address) -&gt; String\n\nSynonyms:\naddress.to_base64\naddress to_base64","url":"address.html#to_base64"},{"doc":"address","title":"to_base64_url","content":"pub fn to_base64_url(address: Address) -&gt; String\n\nSynonyms:\naddress.to_base64_url\naddress to_base64_url","url":"address.html#to_base64_url"},{"doc":"address","title":"to_hex","content":"pub fn to_hex(address: Address) -&gt; String\n\nSynonyms:\naddress.to_hex\naddress to_hex","url":"address.html#to_hex"},{"doc":"address","title":"to_user_friendly_address","content":"pub fn to_user_friendly_address(address: Address) -&gt; String\n\nSynonyms:\naddress.to_user_friendly_address\naddress to_user_friendly_address","url":"address.html#to_user_friendly_address"},{"doc":"address","title":"unserialize","content":"pub fn unserialize(buf: BitArray) -&gt; Result(Address, String)\n\nSynonyms:\naddress.unserialize\naddress unserialize","url":"address.html#unserialize"},{"doc":"address","title":"address","content":"","url":"address.html"},{"doc":"nimiq_gleam","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nnimiq_gleam.main\nnimiq_gleam main","url":"nimiq_gleam.html#main"},{"doc":"nimiq_gleam","title":"nimiq_gleam","content":"","url":"nimiq_gleam.html"}]);